<div class="form">
  <span class="p-input-icon-left">
    <i class="pi pi-search"></i>
    <input
      type="text"
      pInputText
      placeholder="Buscar"
      [formControl]="filterSearch"
    />
  </span>
</div>

<div class="elements">
  {{ searchTerm$ | async }}
  <app-case-foldable-node
    *ngFor="let caseTree of caseTrees$ | async"
    [caseNode]="caseTree.root"
    [searchTerm]="searchTerm$ | async"
  ></app-case-foldable-node>
</div>

<div class="elements" *ngIf="false">
  <div
    class="caseitem"
    *ngFor="let node of caseItems$ | async"
    pDraggable="caseitems"
    (onDragStart)="dragStart($event, node)"
  >
    <div
      *ngIf="node.item as item"
      class="node"
      [class]="getStyle(item)"
      [class.used]="isUsed(item)"
    >
      <div
        *ngIf="item.abbreviatedStatement; else fullStatement"
        class="statement"
        [innerHtml]="item.abbreviatedStatement"
      ></div>
      <ng-template #fullStatement>
        <div class="statement full" [innerHtml]="item.fullStatement"></div>
      </ng-template>
      <div class="type">
        {{ node.item.CFItemType }}
      </div>
    </div>
  </div>
</div>
